import request from '@/utils/request'

// 查询天然气组分列表
export function listComponents(query) {
  return request({
    url: '/ngtools/components/list',
    method: 'get',
    params: query
  })
}

// 查询天然气组分详细
export function getComponents(id) {
  return request({
    url: '/ngtools/components/' + id,
    method: 'get'
  })
}

// 新增天然气组分
export function addComponents(data) {
  return request({
    url: '/ngtools/components',
    method: 'post',
    data: data
  })
}

// 修改天然气组分
export function updateComponents(data) {
  return request({
    url: '/ngtools/components',
    method: 'put',
    data: data
  })
}

// 删除天然气组分
export function delComponents(id) {
  return request({
    url: '/ngtools/components/' + id,
    method: 'delete'
  })
}
